Package org.eclipse.jdt.ui.text

## Interface IJavaPartitionerManager

    public interface IJavaPartitionerManager

This IDocumentPartitioner Manager manages the creation of the IDocumentPartitioner and the corresponding IPartitionTokenScanner.

Since:
  3.20

### Method Summary

All Methods Instance Methods Abstract Methods
`IDocumentPartitioner` `createDocumentPartitioner()` Factory method for creating a Java-specific document partitioner using the partitions scanner.
`IPartitionTokenScanner` `getPartitionScanner()` Returns a scanner which is configured to scan Java-specific partitions, which are multi-line comments, Javadoc comments, and regular Java source code.

### Method Detail

#### getPartitionScanner

    IPartitionTokenScanner getPartitionScanner()

Returns a scanner which is configured to scan Java-specific partitions, which are multi-line comments, Javadoc comments, and regular Java source code.

Returns:
  a Java partition scanner

#### createDocumentPartitioner

    IDocumentPartitioner createDocumentPartitioner()

Factory method for creating a Java-specific document partitioner using the partitions scanner. This method is a convenience method.

Returns:
  a newly created Java document partitioner